std::add_pointer< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherits std::__add_pointer_helper< _Tp, bool >.

## Public Types

typedef _Tp | type

## Detailed Description

template<typename _Tp>
struct std::add_pointer< _Tp >

add_pointer

Definition at line 2042 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp , bool = __or_<__is_referenceable<_Tp>, is_void<_Tp>>::value>

typedef _Tp std::__add_pointer_helper< _Tp, bool >::type

inherited

Definition at line 2034 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits